#include "testlib.h"

enum {
    N_MIN  = 1,     N_MAX = 2000,
    Ai_MIN = 0,    Ai_MAX = 1000000000,
    T_MIN  = 1,     T_MAX = 2000,
    K_MIN  = 0,     K_MAX = 2000,
    V_MIN  = 1,     W_MIN = V_MIN,
    W_MAX  = 10000, V_MAX = W_MAX
};

using namespace std;

int
main()
{
    registerValidation();

    int n = inf.readInt(N_MIN, N_MAX);
    inf.readEoln();
    int a[N_MAX], t, k, v, w;
    a[0] = inf.readInt(Ai_MIN, Ai_MAX);
    for (int i = 1; i < n; ++i) {
        inf.readSpace();
        a[i] = inf.readInt(Ai_MIN, Ai_MAX);
        if (a[i] <= a[i - 1]) {
            quitf(_pe, "a[%d] = %d <= a[%d] = %d", i, a[i], i - 1, a[i - 1]);
        }
    }
    inf.readEoln();
    t = inf.readInt(T_MIN, T_MAX);
    inf.readEoln();
    k = inf.readInt(K_MIN, K_MAX);
    inf.readEoln();
    v = inf.readInt(V_MIN, V_MAX);
    inf.readSpace();
    w = inf.readInt(W_MIN, W_MAX);
    if (v > w) {
        quitf(_pe, "v = %d <= w = %d", v, w);
    }
    inf.readEoln();
    inf.readEof();

    return 0;
}
